This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### if
Examples |
    for (int i = 5; i < height; i += 5) {
      stroke(255);   // Set the color to white
      if (i < 35) {  // When 'i' is less than 35...
        stroke(0);   //...set the color to black
      }
      line(30, i, 80, i);
    }
Description | Allows the program to make a decision about which code to execute. If the test evaluates to true, the statements enclosed within the block are executed and if the test evaluates to false the statements are not executed.
Syntax |
    if (test) {
      statements
    }
Parameters |
test | any valid expression that evaluates to true or false
statements | one or more statements to be executed
Related | else

Updated on October 26, 2013 08:58:34pm PDT